Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters
Interface Converter

All Superinterfaces:
  ConverterMatcher

All Known Implementing Classes:
  AbstractBasicConverter, AbstractCollectionConverter, AbstractReflectionConverter, AnnotationReflectionConverter, ArrayConverter, BitSetConverter, CGLIBEnhancedConverter, CharArrayConverter, CharConverter, CollectionConverter, ColorConverter, DynamicProxyConverter, EncodedByteArrayConverter, EnumConverter, EnumMapConverter, EnumSetConverter, ExternalizableConverter, FontConverter, GregorianCalendarConverter, JavaBeanConverter, JavaMethodConverter, LookAndFeelConverter, MapConverter, NullConverter, PropertiesConverter, ReflectionConverter, RegexPatternConverter, SelfStreamingInstanceChecker, SerializableConverter, SingleValueConverterWrapper, SubjectConverter, ThrowableConverter, TreeMapConverter, TreeSetConverter

    public interface Converter

extends ConverterMatcher

Converter implementations are responsible marshalling Java objects to/from textual data.

If an exception occurs during processing, a `ConversionException` should be thrown.

If working with the high level `XStream` facade, you can register new converters using the XStream.registerConverter() method.

If working with the lower level API, the `ConverterLookup` implementation is responsible for looking up the appropriate converter.

Converters for object that can store all information in a single value should implement `SingleValueConverter`.

`AbstractSingleValueConverter` provides a starting point.

`AbstractCollectionConverter` provides a starting point for objects that hold a collection of other objects (such as Lists and Maps).

Author:
  Joe Walnes
See Also:
  `XStream`, `ConverterLookup`, `AbstractSingleValueConverter`, `AbstractCollectionConverter`

Method Summary
`void` | `marshal(Object source, HierarchicalStreamWriter writer, MarshallingContext context)` Convert an object to textual data.
`Object` | `unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)` Convert textual data back into an object.

Methods inherited from interface com.thoughtworks.xstream.converters.ConverterMatcher
`canConvert`

Method Detail

### marshal

    void marshal(Object source,
                 HierarchicalStreamWriter writer,
                 MarshallingContext context)

  Convert an object to textual data.

  Parameters:
    `source` - The object to be marshalled.
    `writer` - A stream to write to.
    `context` - A context that allows nested objects to be processed by XStream.

### unmarshal

    Object unmarshal(HierarchicalStreamReader reader,
                     UnmarshallingContext context)

  Convert textual data back into an object.

  Parameters:
    `reader` - The stream to read the text from.
    `context` -
  Returns:
    The resulting object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.